Fix whitespace errors in visual diffs
Closed, ResolvedPublic8 Story Points

Description

Examples of errors:

  • changing "foo bar baz" to "foo bar! baz" currently registers as a removal of "bar" and insertion of "bar!", but a better diff would be just an insertion of "!".
  • changing "Section title" to "Section title 2" currently registers as a removal of "title" and insertion of "title 2", instead of an insertion of "2"
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2017, 7:22 PM

Change 339022 had a related patch set uploaded (by Tchanders):
Highlight comment changes in visual diff and fix whitespace

https://gerrit.wikimedia.org/r/339022

Change 339022 merged by jenkins-bot:
Highlight comment changes in visual diff and fix whitespace

https://gerrit.wikimedia.org/r/339022

Jdforrester-WMF triaged this task as Normal priority.Feb 24 2017, 12:36 AM
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.

Change 340446 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (15f36bc75)

https://gerrit.wikimedia.org/r/340446

Change 340446 merged by jenkins-bot:
Update VE core submodule to master (15f36bc75)

https://gerrit.wikimedia.org/r/340446

Esanders updated the task description. (Show Details)Mar 17 2017, 10:48 AM
Esanders added a subscriber: Esanders.

This is done.

Jdforrester-WMF closed this task as Resolved.Mar 17 2017, 4:02 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 17 2017, 4:02 PM